StatisticsInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class StatisticsInitiator

    java.lang.Object
      org.hibernate.stat.internal.StatisticsInitiator

All Implemented Interfaces:
  ServiceInitiator<StatisticsImplementor>, SessionFactoryServiceInitiator<StatisticsImplementor>

    public class StatisticsInitiator

extends Object
implements SessionFactoryServiceInitiator<StatisticsImplementor>

Field Summary
`static StatisticsInitiator` | `INSTANCE`
`static String` | `STATS_BUILDER` Names the `StatisticsFactory` to use.

Constructor Summary
`StatisticsInitiator()`

Method Summary
`Class<StatisticsImplementor>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`StatisticsImplementor` | `initiateService(SessionFactoryImplementor sessionFactory, Configuration configuration, ServiceRegistryImplementor registry)` Initiates the managed service.
`StatisticsImplementor` | `initiateService(SessionFactoryImplementor sessionFactory, MetadataImplementor metadata, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final StatisticsInitiator INSTANCE

### STATS_BUILDER

    public static final String STATS_BUILDER

  Names the `StatisticsFactory` to use. Recognizes both a class name as well as an instance of `StatisticsFactory`.

  See Also:
    Constant Field Values

Constructor Detail

### StatisticsInitiator

    public StatisticsInitiator()

Method Detail

### getServiceInitiated

    public Class<StatisticsImplementor> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<StatisticsImplementor>`
  Returns:
    The service role.

### initiateService

    public StatisticsImplementor initiateService(SessionFactoryImplementor sessionFactory,
                                                 Configuration configuration,
                                                 ServiceRegistryImplementor registry)

  Description copied from interface: `SessionFactoryServiceInitiator`
  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Specified by:
    `initiateService` in interface `SessionFactoryServiceInitiator<StatisticsImplementor>`
  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `configuration` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### initiateService

    public StatisticsImplementor initiateService(SessionFactoryImplementor sessionFactory,
                                                 MetadataImplementor metadata,
                                                 ServiceRegistryImplementor registry)

  Description copied from interface: `SessionFactoryServiceInitiator`
  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Specified by:
    `initiateService` in interface `SessionFactoryServiceInitiator<StatisticsImplementor>`
  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `metadata` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.